Bug 142158 - can't edit uid 500
can't edit uid 500
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 13:32 EST by Don Himelrick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: system-config-users-1.2.41-0.fc4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-14 03:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debugging version of userProperties.py (25.29 KB, text/plain)
2004-12-08 02:48 EST, Nils Philippsen
no flags Details
traceback with debug version of userProperties.py (711 bytes, text/plain)
2004-12-09 11:42 EST, Don Himelrick
no flags Details

  None (edit)
Description Don Himelrick 2004-12-07 13:32:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When I try to edit the properties of uid 500 nothing happens (the
properties window does not appear).  I get the following on the console:

[root@himelrick ~]# system-config-users 
Traceback (most recent call last):
  File "/usr/share/system-config-users/mainWindow.py", line 747, in
on_properties_activate
    self.user_properties()
  File "/usr/share/system-config-users/mainWindow.py", line 756, in
user_properties
    self.userProperties.showUserProperties(userEnt)
  File "/usr/share/system-config-users/userProperties.py", line 230,
in showUserProperties
    if int(min[0]) == 0 and int(max[0]) == 99999 and int(warning[0])
== 7 and int(inactive[0]) == -1:
IndexError: list index out of range
[root@himelrick ~]#

Version-Release number of selected component (if applicable):
system-config-users-1.2.28-0.fc3.1

How reproducible:
Always

Steps to Reproduce:
1.open system-config-users
2.select 1st user, in my case the first user is uid 500
3.click properties
    

Actual Results:  Nothing happens other that a traceback on the console.

Expected Results:  Should bring up the properties dialog to mofidy the
user.

Additional info:

The only other user I have (uid 501) works fine.
Comment 1 Nils Philippsen 2004-12-08 02:48:37 EST
Created attachment 108090 [details]
debugging version of userProperties.py

Please save a copy of /usr/share/system-config-users/userProperties.py and put
this version into /usr/share/system-config-users/ and try again. It contains
some debugging statement which may help us to narrow down the problem.

Please copy the relevant lines of /etc/passwd and /etc/shadow for both (the
working and non-working user) here, be sure to edit out the encrypted passwords
(everything between first and second colon) and mark these comments as private
so only we may see them.
Comment 2 Don Himelrick 2004-12-09 11:42:28 EST
Created attachment 108224 [details]
traceback with debug version of userProperties.py
Comment 3 Don Himelrick 2004-12-09 11:45:13 EST
How do you mark attachments or comments as private?
Comment 4 Nils Philippsen 2004-12-09 12:23:26 EST
Hmm, seems only we can do this (to keep things RH internal). Pity -- in that
case you might want to obfuscate usernames as well additionally to removing the
encrypted password.
Comment 5 Don Himelrick 2004-12-09 12:28:41 EST
Here you go.
passwd

hans:x:500:500:Hans Solo:/home/hans:/bin/bash
luke:x:501:501:Luke Skywalker:/home/luke:/bin/bash


shadow

hans::12130:0:99999:7:::
luke::12761:0:99999:7:::
Comment 6 Nils Philippsen 2005-10-12 11:15:34 EDT
I've issued an update -- system-config-users-1.2.41 -- for FC4 and
Rawhide/devel, it has code that may fix your problem (the symptoms were
similar). Please try this and report back.
Comment 7 Don Himelrick 2005-10-13 12:31:56 EDT
I have not been using the gui user config for some time now, so I don't know
when this started working again.  But I'm on an upgraed FC4
(system-config-users-1.2.41-0.fc4.1) now and I cannot reproduce the bug.  So...
I don't know what to tell you other than it works now :)
Comment 8 Nils Philippsen 2005-10-14 03:07:32 EDT
Good to hear :-).

Note You need to log in before you can comment on or make changes to this bug.